---
- name: Install Apptainer / Singularity on a Ubuntu host
  hosts: localhost
  become: yes
  tasks:
    - name: Update apt cache
      apt:
        update_cache: yes

    - name: Install software-properties-common
      apt:
        name: software-properties-common
        state: present

    - name: Add Apptainer PPA
      apt_repository:
        repo: 'ppa:apptainer/ppa'
        state: present

    - name: Update apt cache again
      apt:
        update_cache: yes

    - name: Install Apptainer
      apt:
        name: apptainer
        state: present
